﻿using System;
using System.Collections.Generic;
using System.Text;

namespace FarmMapsBlight.Models
{
    public class Fungicide
    {
        public string code { get; set; }
        public string name { get; set; }
        public string ctgbregistrationnumber { get; set; }
        public string ai1 { get; set; }
        public string ai2 { get; set; }
        public string ai3 { get; set; }
        public double contentai1 { get; set; }
        public double contentai2 { get; set; }
        public double contentai3 { get; set; }
        public string contentunit { get; set; }
        public string aidescription { get; set; }
        public int protectioncategory { get; set; }
        public double preventivescore { get; set; }
        public double curativescore { get; set; }
        public string applicationrateunit { get; set; }
        public double recommendeddose { get; set; }
        public double newgrowth { get; set; }
        public double tuberprotection { get; set; }
        public double dryingtimemin { get; set; }
        public double dryingtimemax { get; set; }
        public double rainfastness { get; set; }
        public double mindose { get; set; }
        public double maxdose { get; set; }
        public int? maxapplications { get; set; }
        public bool vracompatible { get; set; }
        public double eradicativescore { get; set; }
        public bool emergence { get; set; }
        public bool fastgrowth { get; set; }
        public bool earlytubersetting { get; set; }
        public bool tuberfilling { get; set; }
        public int? safedays { get; set; }
        public double takeback
        {
            get
            {
                return curativescore * 6;
            }
        }
    }
}
