﻿using System;
using Newtonsoft.Json.Linq;

namespace FarmmapsZonering.Models
{
    public class ZoneringInput
    {
        public string InputItemOne { get; set; }
        public string InputItemTwo { get; set; }
        public string Formula { get; set; }
        public string OutputFileName { get; set; }
        public string CropFieldName { get; set; }
        public string CalculatedLayerName { get; set; }
        public string CalculatedQuantity { get; set; }
        public string CalculatedUnit { get; set; }
        public bool CreateNewCropfield { get; set; }
        public int CropYear { get; set; }
        public JObject GeometryJson { get; set; }
        public bool GetWatBal { get; set; }
        public bool GetVanDerSat { get; set; }
        public bool storeVanDerSatStatistics { get; set; }

    }
}