using System;
using System.Collections.Generic;
using Newtonsoft.Json.Linq;

namespace FarmmapsBulkSatDownload.Models
{
    public class BulkSatDownloadInput
    {
        public string fieldName { get; set; }
        public int cropYear { get; set; }
        public int fieldID { get; set; }
        public List<string> SatelliteBands { get; set; }
        public DateTime lastdownloadedimagedate { get; set; }
        public JObject GeometryJson { get; set; }
        public string cropfielditemcode { get; set; }
        public string satellitetaskcode { get; set; }
        public string downloadFolder { get; set; }
        public string fileNameStats { get; set; }
        public DB database { get; set; }
        public string schemaname { get; set; }
        public string cropfieldtable { get; set; }
        public string satelllitetable { get; set; }

    }
}