﻿using System.Threading.Tasks;
using FarmmapsApi;
using Microsoft.Extensions.DependencyInjection;
using Microsoft.Extensions.Logging;

namespace FarmmapsCleanup
{
    class Program : FarmmapsProgram<CleanupApplication>
    {
        private static async Task Main(string[] args)
        {
            await new Program().Start(args);
        }

        protected override void Configure(IServiceCollection serviceCollection)
        {
            serviceCollection.AddLogging()
                .AddTransient<CleanupService>();
        }
    }
}