using System;
using System.Globalization;
using System.Threading.Tasks;
using FarmmapsApi.Models;
using FarmmapsApi.Services;
using FarmmapsKPI.Models;
using Microsoft.Extensions.Logging;
using static FarmmapsApi.Extensions;
using static FarmmapsApiSamples.Constants;

namespace FarmmapsKPI
{
    public class KPIService
    {
        private readonly ILogger<KPIService> _logger;
        private readonly FarmmapsApiService _farmmapsApiService;
        private readonly GeneralService _generalService;

        public KPIService(ILogger<KPIService> logger, FarmmapsApiService farmmapsApiService,
            GeneralService generalService)
        {
            _logger = logger;
            _farmmapsApiService = farmmapsApiService;
            _generalService = generalService;
        }
        // zoiets kan ik overwegen als ik de itemtype niet kan vinden 
        //public async Task<Item> CreateTargetKPIItem(Item cropfieldItem)
        //{
        //    var itemRequest = new ItemRequest()
        //    {
        //        ParentCode = cropfieldItem.ParentCode,
        //        ItemType = USERINPUT_ITEMTYPE,
        //        Name = "kpi"
        //    };
        //    return await _farmmapsApiService.CreateItemAsync(itemRequest);
        //}

    }
}