using System;
using Newtonsoft.Json.Linq;

namespace FarmmapsKPI.Models
{
    public class KPIInput
    {
        public bool UseCreatedCropfield { get; set; }
        public string File { get; set; }
        public string InputVariable { get; set; }
        public string OutputFileName { get; set; }
        public string DownloadFolder { get; set; }
        public int CropYear { get; set; }
        public JObject GeometryJson { get; set; }
        public string InputLayerName { get; set; }
        public string fieldName { get; set; }
        //public bool GetSatelliteData  { get; set; }
       // public bool GetVanDerSatData { get; set; }
       // public string SatelliteBand { get; set; }
       // public bool StoreSatelliteStatisticsSingleImage { get; set; }
       // public bool StoreSatelliteStatisticsCropYear { get; set; }
        //public bool StoreVanDerSatStatistics { get; set; }
        public bool GetShadowData { get; set; }
        public bool GetCropRecordings { get; set; }
        public string CrprecItem { get; set; }

    }
}